'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
function isTextNode(node) {
  return node != null && node.text != null && node.isComment === false;
}

var normalizeSlots = function normalizeSlots(slots, context) {
  return Object.keys(slots).reduce(function (arr, key) {
    var template = false;
    slots[key].forEach(function (vnode) {
      if (!vnode.context) {
        if (isTextNode(vnode)) {
          if (!template) {
            slots[key] = context.$createElement('template', { slot: key }, slots[key]);
            template = true;
          }
        } else {
          slots[key].context = context;

          if (!vnode.data) {
            vnode.data = {};
          }
          vnode.data.slot = key;
        }
      }
    });
    return arr.concat(slots[key]);
  }, []);
};

exports.default = normalizeSlots;
//# sourceMappingURL=normalizeSlots.js.map